Skip to content

api_v2_snapshots_list

GET
/api/v2/snapshots/
curl --request GET \
--url https://example.com/api/v2/snapshots/ \
--header 'X-API-Key: <X-API-Key>'

List your account-wide VM snapshots — used to pick a snapshot_code for restore-from-snapshot when creating a VM.

vm_code
string format: uuid
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
object
key
additional properties
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"data": {
"additionalProperty": "example"
},
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}